//
//  PSTypeMP3SoundData.h
//  iDemo
//
//  Created by Lee Falin on 9/22/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PSTypeSoundData.h"

@interface PSTypeMP3SoundData : PSTypeSoundData
{
	int frameLength;
	signed short seekSamples;
	unsigned char *mp3Frame;
	unsigned char *mp3FrameStart;
	unsigned char *tagByteStart;
	
	BOOL includeSeekSamples;
}

- (BOOL)includeSeekSamples;
- (void)setIncludeSeekSamples:(BOOL)value;

-(id)initWithBufferSize:(int)size;
-(void)addMp3Frame:(const unsigned char*)data ofLength:(int)length;
-(void)setSeekSamples:(signed short)value;
-(unsigned char *)getTagBytes;
-(unsigned int)getTagByteCount;
@end
