//
//  MP3Frame.h
//  ScreenMimic
//
//  Created by Lee Falin on 12/28/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef struct
{
	char mp3ID;
	char layer;
	BOOL hasProtection;
	long bitRate;
	long samplingRate;
	BOOL hasPadding;
	BOOL isPrivate;
	char mode;
	char modeExtension;
	char bound;
	BOOL hasCopyright;
	BOOL isOriginal;
	char emphasis;
	int channels;
	int headerSpacing;

} FrameHeader;

@interface MP3Frame : NSObject 
{
	FrameHeader header;
	NSData *data;
}

- (FrameHeader)header;
- (void)setHeader:(FrameHeader)value;

- (NSData *)data;
- (void)setData:(NSData *)value;



@end
