//
//  PSTagHeader.h
//  PolarianSWFWriter
//
//  Created by Lee Falin on 9/30/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PSTypeRect.h"
#import "PSTag.h"

@interface PSTagHeader : PSTag
{
	unsigned char compressionByte;
	unsigned char signatureByteW;
	unsigned char signatureByteS;
	unsigned int fileVersion;
	unsigned int fileSize;
	PSTypeRect *frameSize;
	BOOL isCompressed;
	float frameRate;
	unsigned short frameCount;
	
	unsigned long *sigByteStart;
}

-(unsigned int)fileVersion;
-(void)setFileVersion:(unsigned int)version;
-(unsigned int)getSignatureBytes;

-(unsigned int)fileSize;
-(void)setFileSize:(unsigned int)size;
-(unsigned int)getFileSizeBytes;

-(void)setIsCompressed:(BOOL)compressed;
-(BOOL)IsCompressed;

-(float)frameRate;
-(void)setFrameRate:(float)rate;
-(unsigned short)getFrameRateBytes;

-(unsigned short)frameCount;
-(void)setFrameCount:(unsigned short)count;
-(unsigned short)getFrameCountBytes;

-(PSTypeRect *)FrameSize;
-(void)setFrameSize:(PSTypeRect *)frame;

-(unsigned char *)getTagBytes;
-(unsigned int)getTagByteCount;

@end
