//
//  PSTagVideoFrame.h
//  PolarianSWFWriter
//
//  Created by Lee Falin on 10/19/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PSTag.h"
#import "PSTypeRecordHeader.h"
#import "PSTypeScreenVideoPacket.h"
#import "PSBitCounter.h"

@interface PSTagVideoFrame : PSTag 
{
	PSTypeRecordHeader *header;
	unsigned short streamID;
	unsigned short frameNumber;
	unsigned short frameType;
	unsigned short codec;
	PSTypeScreenVideoPacket *videoData;
}

-(void)SetFrameType:(unsigned short)type;
-(void)SetVideoData:(PSTypeScreenVideoPacket*)data;
-(unsigned short)StreamID;
-(void)SetStreamID:(unsigned short)value;
-(unsigned short)frameNumber;
-(void)SetFrameNumber:(unsigned short)value;

-(unsigned char *)getTagBytes;
-(unsigned int)getTagByteCount;

@end
